gethostbyaddr
gethostbynamel
Network Functions
PHP Manual

# gethostbyname

(PHP 4, PHP 5)

gethostbyname — Get the IP address corresponding to a given Internet host name

### Description

string gethostbyname ( string `$hostname` )

Returns the IP address of the Internet host specified by `hostname` .

### Parameters

`hostname`

  The host name.

### Return Values

Returns the IP address or a string containing the unmodified `hostname` on failure.

### Examples

Example #1 A simple gethostbyname() example

`<?php
$ip = gethostbyname('www.example.com');
echo $ip;
?>`

### See Also

- gethostbyaddr()
- gethostbynamel()

gethostbyaddr
gethostbynamel
Network Functions
PHP Manual